Jump to content

Ioncube


acsteve
 Share

Recommended Posts

Hope i get this right. I am trying to use UltimateFormMail_v_2_5_1 as i have seen it recommended here. After uploading it to the server as instructions say to and pointing my bvrowser the contact php page i get the need the "ioncube_loader_lin_4.4.so" however when i go to the page it provides I see many different types but do not see the one it says i need. I think I am just reading it wrong and was wondering can someone tell me which one i need and any other little tricks i might want to know before i up load it. Any help would be great thanks..

 

Steve

Link to comment
Share on other sites

  • 3 weeks later...

I'm having the same error as Steve but I had mine working before and now I can't get it to work. I've uploaded the new ioncube files but I still get the error:

 

The file /home/[removed]/public_html/ufm/class.UFMail.php has been encoded with the ionCube PHP Encoder and requires the free ioncube_loader_lin_4.4.so ionCube PHP Loader to be installed.

 

Form is: www.cpadventures.com/contact.htm

 

I know my domain has been moved to a new server since the last time when I KNEW that it worked.

 

Any help?

Link to comment
Share on other sites

I had already done it a few times but I just did it again (my ftp client defaults to binary). Same problem.

 

http://www.cpadventures.com/ufm/ioncube/io...page=rtl-tester

 

It says this on the above page:

 

Warning: dl() has been disabled for security reasons in /home/cpadven/public_html/ufm/ioncube/ioncube-loader-helper.php on line 407
Link to comment
Share on other sites

If dl() is disabled on your server then "runtime" loading of the ioncube loaders won't work. If this is an issue with my code (mentioned above) then I'd prefer to provide the support at my support forum. I'd provide the link, but have been asked in the past to refrain. You can easily find it via searching the TCH forum or perhaps a moderator will add it.

Link to comment
Share on other sites

If dl() is disabled on your server then "runtime" loading of the ioncube loaders won't work. If this is an issue with my code (mentioned above) then I'd prefer to provide the support at my support forum. I'd provide the link, but have been asked in the past to refrain. You can easily find it via searching the TCH forum or perhaps a moderator will add it.

 

Post added! I had looked through your forums too before posting here as I thought there was a slight chance it was TCH related. I'm grasping straws here....thanks for the info though!

Link to comment
Share on other sites

Does "no go" mean that you haven't gotten an answer yet, they said "sorry, it's a security risk" or that it is enabled so something else must be wrong? I'm using UFM too and it seems ok after I added the newer Ioncube files.

Link to comment
Share on other sites

dl() function was disabled on your server as we noticed that this function was getting exploited. We are making changes on other servers as well. I am afraid, we cannot enable it back at the moment. I apologize for any inconvenience this might have caused.

 

I am however trying the new version, 3.2.1 and my testing thus far is going well and it's working.

Edited by kfordham281
Link to comment
Share on other sites

Version 3+ of Ultimate Form Mail does not depend on Ioncube. I did this to make it more compatible with the wide variety of servers used across my client base and to reduce customer support questions related to it.

 

Only now do I realize how smart I was to make that change.

Link to comment
Share on other sites

  • 1 month later...
The issue with dl() should be resolved shortly so that those using UFM and other scripts making use of Iconcube will continue to be able to do so.

 

I'm presently on server 37 a shared server. Ioncube aparently is not loaded re: the risk of being hacked as I've been informed (from an outside source) and via the response from an inquiry made and replied to via a work ticket as listed below.

 

Ioncube on server 37?

 

A TotalChoice Staff Member has replied to your Help Desk Ticket with the following:

 

 

 

Hello Donald,

 

I regret to inform you that we do not have the Ioncube on the server. We cannot make this change on a shared server.

Regards,

Raj Nair

Level 2 System Administrator

TotalChoice Hosting L.L.C

http://www.totalchoicehosting.com/

 

 

 

--------------------------------------------------------------------------------

 

Rate this ticket: Helpful Not Helpful

Ticket ID: YYO-83080

Tracking URL: Click Here

Department: Technical Support

Created On: 10 Mar 2006 11:02 pm

Last Update: 10 Mar 2006 11:02 pm

Status: Closed

Not satisfied with the support you are receiving? Click Here to notify a Manager of your issue!

 

 

So does your above quote (at the start of this message) indicate that the scripting I'm using for an upgraded auction packaging I'm using will be usable again?

 

Without getting into deep details regarding my situation I'm at a loss trying to figure things out re: Ioncube, my PHPAuctions XL3.0 package and Source Guardian that requires Ioncube for its encryption protection purposes of my XL3.0 auction package.

 

So can someone talk to me to help me out and make some decisions with my situation?

 

Don

Link to comment
Share on other sites

Hi Don,

 

You asked in your ticket

I'm on server 37. MY question Is. Is the latest version of Ioncube on server 37?
Hence the answer was no, as stated above. We do not install Ioncube serverwide.

 

dl() is not blocked on the server. The best bet is to reopen the ticket, and provide details on how we should recreate the error you are seeing. Then we can help you out there.

Link to comment
Share on other sites

Hi Don,

 

You asked in your ticket Hence the answer was no, as stated above. We do not install Ioncube serverwide.

 

dl() is not blocked on the server. The best bet is to reopen the ticket, and provide details on how we should recreate the error you are seeing. Then we can help you out there.

 

I understand why Ioncube is not install serverwide as was explained to me by my tech help.

 

My responder to my ticket Mohamad Ali pased it on to IE: a link to the forum site on Iconbar and the server upgrade PHP 4.4.1 upgrade and to third party software error. It may well be third party error but it seems to be pass the old buck trick and tough luck old chap carry on your merry way.

 

So if it is third party error does any of 20,000 tch subscribers use PHPAuctions XL3.0? And has their auction sites become NS. Prior versions worked fine on a shared server but why now would the upgraded XL3.0 roll over and play dead sans the ioncube not being on my server?

 

BTW I did download/upload the iconcube file to my site and the auction site is still dead.

 

I have a PHD in computer science (PUSH HERE DUMMY) so needless to say I need some help getting my auction site back up and running. So LOL is there a XL3.0 god out there to strike me with a lighting bolt?

 

Don

Link to comment
Share on other sites

Don,

 

I've edit your post slightly, because I found your response slightly offensive.

 

I've checked up on the ticket, and I'm perfectly happy with the response you were given;

PHP on the server has been upgraded to version 4.4.1. Scripts using Ioncube must have the correct loaders installed. You can get the updated files at http://downloads.ioncube.com/loader_downlo...ers_lin_x86.zip.

 

More information can be found at http://www.totalchoicehosting.com/forums/i...showtopic=24946 in our forums including links to installation instructions.

 

We are sorry, this help desk will not provide 3rd party support. If you need further assistance, please refer our family forums where 3rd party software support is available by the many family members and staff members that use that particular software.

Our Forums are located at https://ssl.totalchoicehosting.com/forums/

 

It has been explained to you exactly where to get the downloads for ioncube. Where there are instructions for installing it, and where you can get help.

 

Our 24/7 help desk support has to concentrate on server related issues, and it is far more productive for everyone to have coding, scripting and other none server related support provided by the forums here.

 

I'm sorry that you found the response was not to your satisfaction, but personally when you write about a staff member in what I consider an offensive manner (hence I edited it) it doesn't make me want to rush to answer your question. Perhaps if you asked in a more friendly way you might get a better response.

Link to comment
Share on other sites

Don,

 

I've edit your post slightly, because I found your response slightly offensive.

 

I've checked up on the ticket, and I'm perfectly happy with the response you were given;

It has been explained to you exactly where to get the downloads for ioncube. Where there are instructions for installing it, and where you can get help.

 

Our 24/7 help desk support has to concentrate on server related issues, and it is far more productive for everyone to have coding, scripting and other none server related support provided by the forums here.

 

I'm sorry that you found the response was not to your satisfaction, but personally when you write about a staff member in what I consider an offensive manner (hence I edited it) it doesn't make me want to rush to answer your question. Perhaps if you asked in a more friendly way you might get a better response.

 

My sincerest apologies to your staff member.

 

I did accept the response re the ticket but I'm at a loss trying to resolve my problem. Exactly what my problem is remains a mystery to me. If my auction software requires this ioncube stuff and I uploaded the necessary files to my site is there something else that I have to do? I simply don't understand all this or what else is needed on my part. Here is what I get when I try to access my auction site.

>>>>

64 - Host not available

Internet Security and Acceleration Server

 

--------------------------------------------------------------------------------

 

Technical Information (for support personnel)

 

Background:

The server, while acting as a gateway or proxy, has lost the connection with the upstream content server.

<<<<<

 

All this technical stuff is difficult to understand at times and I hope that someone takes pitty on this old man (Me) to get my head around some of this stuff.

 

And again please accept my apoligies and thanks for your comments.

 

Don

Edited by blaisnstamps
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...